Package org.apache.torque.generator.source

# Class SourceElementNodeIterator

java.lang.Object
org.apache.torque.generator.source.SourceElementNodeIterator

All Implemented Interfaces:
  `org.apache.commons.jxpath.ri.model.NodeIterator`

public class SourceElementNodeIterator extends Object implements org.apache.commons.jxpath.ri.model.NodeIterator
A node iterator iterating over children of a SourceElement.

Version:
  $Id: $
Author:
  Dmitri Plotnikov, Thomas Fox

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceElementNodeIterator(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.compiler.NodeTest nodeTest, boolean reverse, org.apache.commons.jxpath.ri.model.NodePointer startWith)`
  Create a new DOMNodeIterator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.jxpath.ri.model.NodePointer`
  `getNodePointer()`
  `int`
  `getPosition()`
  `boolean`
  `setPosition(int position)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SourceElementNodeIterator

    public SourceElementNodeIterator(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.compiler.NodeTest nodeTest, boolean reverse, org.apache.commons.jxpath.ri.model.NodePointer startWith)
    Create a new DOMNodeIterator.
    Parameters:
      `parent` - parent pointer
      `nodeTest` - test
      `reverse` - whether to iterate in reverse
      `startWith` - starting pointer

- ## Method Details

  - ### getNodePointer

    public org.apache.commons.jxpath.ri.model.NodePointer getNodePointer()
    Specified by:
      `getNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodeIterator`

  - ### getPosition

    public int getPosition()
    Specified by:
      `getPosition` in interface `org.apache.commons.jxpath.ri.model.NodeIterator`

  - ### setPosition

    public boolean setPosition(int position)
    Specified by:
      `setPosition` in interface `org.apache.commons.jxpath.ri.model.NodeIterator`